#pragma once

#include <Windows.h>

typedef struct _FontMetricsBlock {
	unsigned short	StartCode;		// JnR[h(SJISR[h)
	unsigned short	EndCode;		// IR[h(SJISR[h)
	int				Num;			// R[h
	BYTE*			FontData;		// tHgf[^
} FONTMETRICSBLOCK;

typedef struct _FontMetrics {
	int		Width;		// tHg(dot)
	int		Height;		// tHg(dot)
	int		BytesWidth;			// tHgC[W̉oCg
	int		BytesPerChar;		// 1oCg(tHgf[^)
	int		BytesPerCharWrk;	// 1oCg(ϊ[Nf[^)
	int		Code;		// R[h
	int		Blocks;		// R[hubN
	FONTMETRICSBLOCK* Block;
} FONTMETRICS;

BOOL GetFontMetrics(const TCHAR* FontFile, FONTMETRICS* FontMetrics);
void MakeLcdDataOfString(BYTE* buf, int bufsize, unsigned char* sjis_str, int str_length, USHORT* img_length, FONTMETRICS* pfhan, FONTMETRICS* pfzen);
void MakeLcdDataOfString16(BYTE* line0, int size0, BYTE* line1, int size1, unsigned char* sjis_str, int str_length, USHORT* img_length, FONTMETRICS* pfhan, FONTMETRICS* pfzen);
int MakeLcdDataOfString12(BYTE* line0, int size0, BYTE* line1, int size1, unsigned char* sjis_str, int str_length, FONTMETRICS* pfhan, FONTMETRICS* pfzen);
